local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("src.shouldFire")
local shouldFireEffect = ____shouldFire.shouldFireEffect
local ____CustomCallback = require("src.classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostEffectInitFilter = __TS__Class()
local PostEffectInitFilter = ____exports.PostEffectInitFilter
PostEffectInitFilter.name = "PostEffectInitFilter"
__TS__ClassExtends(PostEffectInitFilter, CustomCallback)
function PostEffectInitFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireEffect
    self.postEffectInit = function(____, effect)
        self:fire(effect)
    end
    self.callbacksUsed = {{ModCallback.POST_EFFECT_INIT, self.postEffectInit}}
end
return ____exports
